Объединение Entware-ng и Entware-3x. Теперь это просто Entware!!!

Используем пакеты, расширяющие возможности оборудования
Voxel
Сообщения: 160
Зарегистрирован: 29 фев 2016, 13:34

Сообщение Voxel » 29 авг 2023, 14:21

Подмав, понял, что нет... А жаль.

Аватара пользователя
TheBB
Сообщения: 118
Зарегистрирован: 31 авг 2015, 02:24
Откуда: 26 ~44.098,43.022

Сообщение TheBB » 29 авг 2023, 18:53

Хех, не совсем понимаю суть проблемы... А что мешает переустановить все установленные пакеты (с сохранением настроек и прочего), без накатывания системы с нуля. Да, стартовые скрипты обновятся, но они и так переписываются при обновлении. Типа
dist-upgrade

Код: Выделить всё

#!/bin/sh

### create list-installed
opkg list-installed | sort > $HOME/list-installed.txt

### reset versions
sed -i -e 's,^Version:.*,Version: 0.0.0.0-0,g' /opt/lib/opkg/status

### remove lists
rm -f /opt/var/opkg-lists/*

### update lists
opkg update > /dev/null 2>&1

### upgrade packages
for pkg in $(opkg list-installed | cut -d' ' -f1 | sort)
  do
    opkg install $pkg
done

### update cache
ldconfig > /dev/null 2>&1

### create list-upgraded
opkg list-installed | sort > $HOME/list-upgraded.txt

### compare list-*.txt files
diff -u $HOME/list-installed.txt $HOME/list-upgraded.txt

### othes
#echo "$(opkg list-installed | grep '0.0.0.0-0')"
Свернуть
Последний раз редактировалось TheBB 29 авг 2023, 19:27, всего редактировалось 1 раз.
Причина: typo
K Giga II NDMSv.2.06C/2.11D/2.15A + Entware-Keenetic/Entware&Gentoo; K DSL NDMSv.2.05C/2.11D + Entware-Keenetic/Entware&Debian 8.11/9.6

Voxel
Сообщения: 160
Зарегистрирован: 29 фев 2016, 13:34

Сообщение Voxel » 30 авг 2023, 13:13

TheBB писал(а):Источник цитаты Хех, не совсем понимаю суть проблемы... А что мешает переустановить все установленные пакеты (с сохранением настроек и прочего), без накатывания системы с нуля. Да, стартовые скрипты обновятся, но они и так переписываются при обновлении. Типа

Тоже правлильно! :good:

В общем, если вдруг надумаете перейти на GCC 9.5.0, выложил изменения сюда, включая патчи для 9.5.0:

https://voxel-firmware.com/Downloads/Entware/toolchain/

Также, для информации: я понимаю проблемы с новыми версиями binutils для старых платформ, типа armv7-2.6. Но, возможно, имеет смысл для Entware использовать более свежие версии для более новых платфом, консервативно не трогая старые. Новую версию для таких платформ, как: armv7-3.2, aarch64-3.10. Причина: начиная с версии binutils 2.40 результирующие бинарники имеют более компактный размер. При тех же условиях и опциях компиляции. К примеру, размеры только libc и libgcc при использовании:

binutils 2.39:

Код: Выделить всё

-rw-r--r-- 1 voxel voxel  199968 Aug 30 12:04 ld-2.27.so
-rw-r--r-- 1 voxel voxel   67188 Aug 30 12:04 libanl-2.27.so
-rw-r--r-- 1 voxel voxel 1321080 Aug 30 12:04 libc-2.27.so
-rw-r--r-- 1 voxel voxel  198124 Aug 30 12:04 libcidn-2.27.so
-rw-r--r-- 1 voxel voxel   67036 Aug 30 12:04 libcrypt-2.27.so
-rw-r--r-- 1 voxel voxel   67032 Aug 30 12:04 libdl-2.27.so
-rw-r--r-- 1 voxel voxel   67176 Aug 30 12:06 libgcc_s.so.1
-rw-r--r-- 1 voxel voxel  460216 Aug 30 12:04 libm-2.27.so
-rw-r--r-- 1 voxel voxel   67028 Aug 30 12:04 libmemusage.so
-rw-r--r-- 1 voxel voxel  132932 Aug 30 12:04 libnsl-2.27.so
-rw-r--r-- 1 voxel voxel   67052 Aug 30 12:04 libnss_dns-2.27.so
-rw-r--r-- 1 voxel voxel   67124 Aug 30 12:04 libnss_files-2.27.so
-rw-r--r-- 1 voxel voxel   66896 Aug 30 12:04 libpcprofile.so
-rw-r--r-- 1 voxel voxel  132824 Aug 30 12:04 libresolv-2.27.so
-rw-r--r-- 1 voxel voxel   67060 Aug 30 12:04 libutil-2.27.so


binutils 2.41:

Код: Выделить всё

-rw-r--r-- 1 voxel voxel  142624 Aug 30 12:05 ld-2.27.so
-rw-r--r-- 1 voxel voxel    9844 Aug 30 12:05 libanl-2.27.so
-rw-r--r-- 1 voxel voxel 1300608 Aug 30 12:05 libc-2.27.so
-rw-r--r-- 1 voxel voxel  181740 Aug 30 12:05 libcidn-2.27.so
-rw-r--r-- 1 voxel voxel   34268 Aug 30 12:05 libcrypt-2.27.so
-rw-r--r-- 1 voxel voxel    9688 Aug 30 12:05 libdl-2.27.so
-rw-r--r-- 1 voxel voxel   46696 Aug 30 12:05 libgcc_s.so.1
-rw-r--r-- 1 voxel voxel  456120 Aug 30 12:05 libm-2.27.so
-rw-r--r-- 1 voxel voxel   17876 Aug 30 12:05 libmemusage.so
-rw-r--r-- 1 voxel voxel   71492 Aug 30 12:05 libnsl-2.27.so
-rw-r--r-- 1 voxel voxel   17900 Aug 30 12:05 libnss_dns-2.27.so
-rw-r--r-- 1 voxel voxel   38452 Aug 30 12:05 libnss_files-2.27.so
-rw-r--r-- 1 voxel voxel    5456 Aug 30 12:05 libpcprofile.so
-rw-r--r-- 1 voxel voxel   71384 Aug 30 12:05 libresolv-2.27.so
-rw-r--r-- 1 voxel voxel    9716 Aug 30 12:05 libutil-2.27.so


То есть 3MB vs 2.3MB и только для libc и libgcc.

Voxel.


Вернуться в «Entware/Qnapware/Optware/Zyxware - обсуждаем репозитории пакетов»

Кто сейчас на конференции

Всего 2 посетителя :: 1 зарегистрированный, 0 скрытых и 1 гость (основано на активности пользователей за последние 5 минут)
Больше всего посетителей (162) здесь было 16 ноя 2019, 18:33

Сейчас этот форум просматривают: CommonCrawl [Bot] и 1 гость